Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface KernelMBean

All Known Subinterfaces:
  ServerMBean

public interface KernelMBean
extends ConfigurationMBean

This bean represents the configuration of the core message passing kernel on both WebLogic clients and servers.

`ServerMBean` extends this bean to represent the configuration of a server.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getCompleteHTTPMessageTimeout()` Specify the maximum number of seconds spent waiting for a complete HTTP message to be received.
`int` | `getCompleteIIOPMessageTimeout()` Specify the maximum number of seconds spent waiting for a complete IIOP message to be received.
`int` | `getCompleteT3MessageTimeout()` Specify the maximum number of seconds spent waiting for a complete T3 message to be received.
`java.lang.String` | `getDefaultProtocol()` Returns the protocol to be used for connections when none is specified.
`java.lang.String` | `getDefaultSecureProtocol()` Returns the protocol to be used for secure connections when none is specified.
`LogMBean` | `getLog()` Returns the Log settings for this Kernel.
`int` | `getMaxHTTPMessageSize()` Specify the maximum HTTP message size allowable in a message header.
`int` | `getMaxIIOPMessageSize()` Specify the maximum IIOP message size allowable in a message header.
`int` | `getMaxT3MessageSize()` Specify the maximum T3 message size allowable in a message header.
`SSLMBean` | `getSSL()` Returns the kernel's SSL configuration.
`int` | `getStdoutSeverityLevel()` The minimum severity of a message which should be logged to the the standard out stream.
`int` | `getThreadPoolPercentSocketReaders()` Returns the percentage (1-99) of execute threads that may be used as socket readers.
`int` | `getThreadPoolSize()` Returns the size of the execute thread pool.
`java.util.Map` | `getValidProtocols()` Returns the collections of protocols supported by this kernel.
`boolean` | `isInstrumentStackTraceEnabled()` True if exception messages include the server side stack trace.
`boolean` | `isLogRemoteExceptionsEnabled()` True if remote exceptions are to be reported to the log.
`boolean` | `isNativeIOEnabled()` Whether or not native I/O is enabled for the server.
`boolean` | `isReverseDNSAllowed()` Returns whether or not the kernel is allowed to perform reverse DNS lookups.
`boolean` | `isStdoutDebugEnabled()` Determines if debug messages should go to the standard out stream.
`boolean` | `isStdoutEnabled()` Determines if log messages should be logged to the standard out This property overrides StdoutSeverityLevel and StdoutDebugEnabled.
`void` | `setDefaultProtocol(java.lang.String protocol)` Sets the protocol to be used for connections when none is specified.
`void` | `setDefaultSecureProtocol(java.lang.String protocol)` Sets the protocol to be used for secure connections when none is specified.
`void` | `setDGCIdlePeriodsUntilTimeout(int periods)`
`void` | `setInstrumentStackTraceEnabled(boolean enable)`
`void` | `setLogRemoteExceptionsEnabled(boolean enable)`
`void` | `setNativeIOEnabled(boolean enable)` Set whether or not native I/O should be enabled.
`void` | `setReverseDNSAllowed(boolean flag)` Sets whether or not a Kernel is allowed to perform reverse DNS lookups.
`void` | `setStdoutDebugEnabled(boolean enable)`
`void` | `setStdoutEnabled(boolean enable)`
`void` | `setStdoutSeverityLevel(int severityLevel)`
`void` | `setThreadPoolPercentSocketReaders(int percent)` Sets the percentage (1-99) of execute threads that may be used as socket readers.
`void` | `setThreadPoolSize(int size)` Sets the size of the execute thread pool size.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getValidProtocols

    public java.util.Map getValidProtocols()

  Returns the collections of protocols supported by this kernel. The result is a map that maps strings to strings. The key is the protocol name and the value is the protocol description. This collection includes both secure and insecure protocols.

### isReverseDNSAllowed

    public boolean isReverseDNSAllowed()

  Returns whether or not the kernel is allowed to perform reverse DNS lookups.

  A configurable MBean attribute
  Default Value: false
  Old Property: weblogic.system.enableReverseDNSLookups

### setReverseDNSAllowed

    public void setReverseDNSAllowed(boolean flag)
                              throws DistributedManagementException

  Sets whether or not a Kernel is allowed to perform reverse DNS lookups.

  A dynamic MBean attribute
  Default Value: false

### getDefaultProtocol

    public java.lang.String getDefaultProtocol()

  Returns the protocol to be used for connections when none is specified.

  A configurable MBean attribute
  Default Value: "t3"
  Old Property: weblogic.system.defaultProtocol
  Legal Values: "t3","t3s","http","https","iiop"

### setDefaultProtocol

    public void setDefaultProtocol(java.lang.String protocol)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Sets the protocol to be used for connections when none is specified.

  Throws:
    java.lang.IllegalArgumentException - if the protocol is not supported by this kernel.
  See Also:
    `getDefaultProtocol()`

### getDefaultSecureProtocol

    public java.lang.String getDefaultSecureProtocol()

  Returns the protocol to be used for secure connections when none is specified.

  A configurable MBean attribute
  Default Value: "t3s"
  Old Property: weblogic.system.defaultSecureProtocol
  Legal Values: "t3s","https"

### setDefaultSecureProtocol

    public void setDefaultSecureProtocol(java.lang.String protocol)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Sets the protocol to be used for secure connections when none is specified.

  Throws:
    java.lang.IllegalArgumentException - if the protocol is not supported by this kernel.
  See Also:
    `getDefaultSecureProtocol()`

### getThreadPoolSize

    public int getThreadPoolSize()

  Returns the size of the execute thread pool.

  A configurable MBean attribute
  Default Value: 15
  Old Property: weblogic.system.executeThreadCount

### setThreadPoolSize

    public void setThreadPoolSize(int size)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Sets the size of the execute thread pool size.

  A dynamic MBean attribute
  Legal Minimum Value: 0
  Legal Maximum Value: 65534
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.

### isNativeIOEnabled

    public boolean isNativeIOEnabled()

  Whether or not native I/O is enabled for the server.

  A configurable MBean attribute
  Default Value: true
  Old Property: weblogic.system.nativeIO.enable

### setNativeIOEnabled

    public void setNativeIOEnabled(boolean enable)

  Set whether or not native I/O should be enabled.

### getThreadPoolPercentSocketReaders

    public int getThreadPoolPercentSocketReaders()

  Returns the percentage (1-99) of execute threads that may be used as socket readers.

  A configurable MBean attribute
  Default Value: 33
  Old Property: weblogic.system.percentSocketReaders

### setThreadPoolPercentSocketReaders

    public void setThreadPoolPercentSocketReaders(int percent)
                                           throws javax.management.InvalidAttributeValueException,
                                                  DistributedManagementException

  Sets the percentage (1-99) of execute threads that may be used as socket readers.

  A dynamic MBean attribute
  Legal Minimum Value: 1
  Legal Maximum Value: 99
  Throws:
    java.lang.IllegalArgumentException - if the argument is null or represents a negative int.

### getMaxT3MessageSize

    public int getMaxT3MessageSize()

  Specify the maximum T3 message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000

### getMaxHTTPMessageSize

    public int getMaxHTTPMessageSize()

  Specify the maximum HTTP message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000

### getMaxIIOPMessageSize

    public int getMaxIIOPMessageSize()

  Specify the maximum IIOP message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000

### getCompleteT3MessageTimeout

    public int getCompleteT3MessageTimeout()

  Specify the maximum number of seconds spent waiting for a complete T3 message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 480

### getCompleteHTTPMessageTimeout

    public int getCompleteHTTPMessageTimeout()

  Specify the maximum number of seconds spent waiting for a complete HTTP message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 480

### getCompleteIIOPMessageTimeout

    public int getCompleteIIOPMessageTimeout()

  Specify the maximum number of seconds spent waiting for a complete IIOP message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 480

### setDGCIdlePeriodsUntilTimeout

    public void setDGCIdlePeriodsUntilTimeout(int periods)
                                       throws ConfigurationException

### getSSL

    public SSLMBean getSSL()

  Returns the kernel's SSL configuration. An SSL MBean is always linked to a particular Kernel and cannot be changed. Individual attributes on the SSL MBean may be changed, as documented, but the MBean itself may not.

### getLog

    public LogMBean getLog()

  Returns the Log settings for this Kernel. An Log MBean is always linked to a particular Kernel and cannot be changed. Individual attributes on the Log MBean may be changed, as documented, but the MBean itself may not.

### isStdoutEnabled

    public boolean isStdoutEnabled()

  Determines if log messages should be logged to the standard out This property overrides StdoutSeverityLevel and StdoutDebugEnabled.

  A dynamic MBean attribute
  Default Value: true
  Old Property: weblogic.system.enableConsole

### setStdoutEnabled

    public void setStdoutEnabled(boolean enable)
                          throws DistributedManagementException

### getStdoutSeverityLevel

    public int getStdoutSeverityLevel()

  The minimum severity of a message which should be logged to the the standard out stream. All messages with given severity and higher, qualify. The values of severities are INFO(64), WARNING(32), ERROR(16), NOTICE(8), CRITICAL(4), ALERT(2) and EMERGENCY(1). The lower the number, higher the severity.

  A dynamic MBean attribute
  Default Value: weblogic.logging.Severities.ERROR
  Legal Values: weblogic.logging.Severities.INFO,weblogic.logging.Severities.WARNING,weblogic.logging.Severities.ERROR,weblogic.logging.Severities.NOTICE,weblogic.logging.Severities.CRITICAL,weblogic.logging.Severities.ALERT,weblogic.logging.Severities.EMERGENCY
  See Also:
    `Severities`

### setStdoutSeverityLevel

    public void setStdoutSeverityLevel(int severityLevel)
                                throws javax.management.InvalidAttributeValueException,
                                       DistributedManagementException

### isStdoutDebugEnabled

    public boolean isStdoutDebugEnabled()

  Determines if debug messages should go to the standard out stream.

  A dynamic MBean attribute
  Default Value: false

### setStdoutDebugEnabled

    public void setStdoutDebugEnabled(boolean enable)
                               throws DistributedManagementException

### isLogRemoteExceptionsEnabled

    public boolean isLogRemoteExceptionsEnabled()

  True if remote exceptions are to be reported to the log.

  A dynamic MBean attribute
  Default Value: false

### setLogRemoteExceptionsEnabled

    public void setLogRemoteExceptionsEnabled(boolean enable)
                                       throws DistributedManagementException

### isInstrumentStackTraceEnabled

    public boolean isInstrumentStackTraceEnabled()

  True if exception messages include the server side stack trace.

  A dynamic MBean attribute
  Default Value: false

### setInstrumentStackTraceEnabled

    public void setInstrumentStackTraceEnabled(boolean enable)
                                        throws DistributedManagementException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD